Bug 1053355 - [GSS] (6.3) Make appName for audit log over syslog configurable in the management model
Summary: [GSS] (6.3) Make appName for audit log over syslog configurable in the manage...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management   
(Show other bugs)
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR0
: EAP 6.3.0
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1053382
TreeView+ depends on / blocked
 
Reported: 2014-01-15 05:46 UTC by Kyle Lape
Modified: 2014-07-09 01:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previous versions of JBoss EAP 6 did not allow application names to be configurable in the management model. As a consequence, a default appName was used. In this release of the product, the application name has been exposed as part of the `core-service=management/access=audit/syslog-handler=*` resource and the name is now configurable.
Story Points: ---
Clone Of: 1052187
: 1053382 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:39:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2753 Major Closed Workaround for auditlog syslog appName not being configurable 2014-07-24 08:30:21 UTC

Description Kyle Lape 2014-01-15 05:46:22 UTC
Be able to configure this with a system property, this is the approach we can take in 6.2.x which cannot change the management API.

Comment 1 Kyle Lape 2014-01-15 06:56:30 UTC
product PR: https://github.com/jbossas/jboss-eap/pull/811

Comment 2 JBoss JIRA Server 2014-01-15 14:32:13 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2753 to Resolved

Comment 3 JBoss JIRA Server 2014-01-15 14:32:23 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2753 to Closed

Comment 4 Kabir Khan 2014-01-30 18:43:16 UTC
Putting back to assigned to backport the proper fix for 6.3. Originally a workaround was done and merged as upstream for EAP 6.2.1

Comment 5 Ondrej Lukas 2014-02-26 08:19:58 UTC
Verified on EAP 6.3.0.DR0.

Comment 6 sgilda 2014-05-12 19:17:11 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865


Note You need to log in before you can comment on or make changes to this bug.